packxxk(1)

NAME
packxxk - pack TI graphing calculator software files

SYNOPSIS
packxxk [ -t type ] [ -d date ] [ -o xxkfile ] appfile ...

DESCRIPTION
packxxk is a program to generate Flash Application and OS files for the Texas Instruments TI-73, TI-83 Plus, TI-84 Plus, TI-89, and TI-92 Plus graphing calculators. The files generated are in the ``TIFL'' format used by recent versions of TI's GraphLink and TI-Connect software.

The input file to packxxk must be in TI-Hex or TIFL format to begin with, and (in order for the application to be installed) it must have been digitally signed before being packed. packxxk does not do this, nor does it check for the presence of a signature. You can use rabbitsign(1) to sign applications in several common formats.

If multiple input files are specified, packxxk creates a multi-part TIFL file.

  OPTIONS

-t type
    Specify the type of program (e.g., `8xk' for a TI-83 Plus application, or `73u' for a TI-73 operating system.) The default behavior is to infer the program type from the name of the input file. (If the input file does not have a recognized suffix, the type is guessed based on the contents of the program header.)

-c id
    Manually specify the calculator device ID (e.g., 0x73 for the TI-83 Plus, or 0x74 for the TI-73.)

-d [ month/day/year | day-month-year ]
    Manually specify the date stamp for the application. The default is to use the current date in the local time zone.

-o xxkfile
    Specify the output file name (default is to write to standard output.)

SEE ALSO
rabbitsign(1)

AUTHOR
Benjamin Moody <floppusmaximus@users.sf.net>